package h.com.serialportapi.comn.CardBeans;

import java.io.Serializable;
import java.util.List;

/**
 * Created by hxd on 2019/1/3.
 */

public class DESFireCard implements Serializable {

    private String TagType;
    private String SAK;
    private String UIDNumber;
    private String ATS;
    private String Version;
    private String KeyVersion;
    private String KeyNumber;
    private String Key;
    private String KeySetting;
    private String NewKeySetting;
    private String OriginalKey;
    private String NewKey;
    private List<Application> PICCLevel;
    private List<File> ApplicationLevel;

    public String getTagType() {
        return TagType;
    }

    public void setTagType(String tagType) {
        TagType = tagType;
    }

    public String getSAK() {
        return SAK;
    }

    public void setSAK(String SAK) {
        this.SAK = SAK;
    }

    public String getUIDNumber() {
        return UIDNumber;
    }

    public void setUIDNumber(String UIDNumber) {
        this.UIDNumber = UIDNumber;
    }

    public String getATS() {
        return ATS;
    }

    public void setATS(String ATS) {
        this.ATS = ATS;
    }

    public String getVersion() {
        return Version;
    }

    public void setVersion(String version) {
        Version = version;
    }

    public String getKeyVersion() {
        return KeyVersion;
    }

    public void setKeyVersion(String keyVersion) {
        KeyVersion = keyVersion;
    }

    public String getKeyNumber() {
        return KeyNumber;
    }

    public void setKeyNumber(String keyNumber) {
        KeyNumber = keyNumber;
    }

    public String getKey() {
        return Key;
    }

    public void setKey(String key) {
        Key = key;
    }

    public String getKeySetting() {
        return KeySetting;
    }

    public void setKeySetting(String keySetting) {
        KeySetting = keySetting;
    }

    public String getNewKeySetting() {
        return NewKeySetting;
    }

    public void setNewKeySetting(String newKeySetting) {
        NewKeySetting = newKeySetting;
    }

    public String getOriginalKey() {
        return OriginalKey;
    }

    public void setOriginalKey(String originalKey) {
        OriginalKey = originalKey;
    }

    public String getNewKey() {
        return NewKey;
    }

    public void setNewKey(String newKey) {
        NewKey = newKey;
    }

    public List<Application> getPICCLevel() {
        return PICCLevel;
    }

    public void setPICCLevel(List<Application> PICCLevel) {
        this.PICCLevel = PICCLevel;
    }

    public List<File> getApplicationLevel() {
        return ApplicationLevel;
    }

    public void setApplicationLevel(List<File> applicationLevel) {
        ApplicationLevel = applicationLevel;
    }

    class Application {
        private String ApplicationID;
        private String KeySetting;
        private String KeyNumber;

        public String getApplicationID() {
            return ApplicationID;
        }

        public void setApplicationID(String applicationID) {
            ApplicationID = applicationID;
        }

        public String getKeySetting() {
            return KeySetting;
        }

        public void setKeySetting(String keySetting) {
            KeySetting = keySetting;
        }

        public String getKeyNumber() {
            return KeyNumber;
        }

        public void setKeyNumber(String keyNumber) {
            KeyNumber = keyNumber;
        }
    }

    class File {
        private String FileID;
        private String FileType;
        private String CommnunicateWay;
        private String AccessRight;
        private String FileSize;

    }
}
